import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}

// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + '0'
    }
  })
}

// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询_多个查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment_多个查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// GM查询
export function selectMUForGM() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_MU',
      param: '人员编号=' + arguments[0]
    }
  })
}
// 损失工时查询
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时查询_改动2',
      param: '开始时间=' + arguments[0] + '&结束时间=' + arguments[1] + '&人员代码=' + arguments[2] + '&角色代码=' + arguments[3] + '&MU_Department=' + arguments[4] + '&MU_Department_check=' + arguments[5] + '&Segment_Department=' + arguments[6] + '&Segment_Department_check=' + arguments[7]
    }
  })
}
// 损失工时查询
export function sumBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时汇总',
      param: '开始时间=' + arguments[0] + '\\&结束时间=' + arguments[1] + '\\&MU_Department=' + arguments[2] + '\\&MU_Department_check=' + arguments[3] + '\\&Segment_Department=' + arguments[4] + '\\&Segment_Department_check=' + arguments[5]
    }
  })
}
